<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:body>

	<h1>Index page</h1>

	<h:form id="form">


		<h:panelGroup rendered="#{calcManagedBean.isEstadoInicial()}">
		
			<h:outputLabel value="Numero 1" for="idNum1" />
			<h:inputText id="idNum1" value="#{calcManagedBean.calcDTO.num1}" />
			<br />
			
			<h:outputLabel value="Numero 2" for="idNum2" />
			<h:inputText id="idNum2" value="#{calcManagedBean.calcDTO.num2}" />
			<br />

			<h:selectOneMenu value="#{calcManagedBean.operacao}">
				<f:selectItem selected="true" itemValue="soma" itemLabel="Soma" />
				<f:selectItem itemValue="subtracao" itemLabel="Subtração" />
				<f:selectItem itemValue="divisao" itemLabel="Divisão" />
				<f:selectItem itemValue="multiplicacao" itemLabel="Multiplicação" />
			</h:selectOneMenu>

			<br />
			<h:commandButton action="#{calcManagedBean.calcula()}"
				value="Calcula" />
		</h:panelGroup>

		<h:panelGroup rendered="#{calcManagedBean.isEstadoResultado()}">
			<ui:include src="resultado.xhtml">
				<ui:param name="param" value="#{calcManagedBean.calcDTO}"></ui:param>
			</ui:include>
		</h:panelGroup>



	</h:form>
</h:body>
</html>